com.r3corda.core.testing / TransactionDSL / input

# input

`fun input(stateLabel: String): <ERROR CLASS>`

Looks up the output label and adds the found state as an input.

### Parameters

`stateLabel` - The label of the output state specified when calling TransactionDSLInterpreter._output and friends.
`fun input(state: ContractState): Unit`

Creates an LedgerDSLInterpreter._unverifiedTransaction with a single output state and adds its reference as an input to the current transaction.

### Parameters

`state` - The state to be added.
`fun input(stateClosure: () -> ContractState): Unit`